
% Programme de visualisation des pertes totales, aprs les 2 simulations

load cplpert1.mat;
load cplpert2.mat;

pertes=[cplpert_1,cplpert_2];

n=length(pertes);

temps=pertes(1,1:n);

pertes_roulis=pertes(2,1:n);

pertes_lacet=pertes(4,1:n);

pertes_tangage=pertes(3,1:n);

plot(temps,pertes_tangage,'m',temps,pertes_roulis,'y',temps,pertes_lacet,'c');

grid;

title('Pertes totales (mN)');

XLABEL('temps');YLABEL('Pertes en Nm');

text(2550,2.5e-7,'Tangage en magenta');

text(2550,-2.5e-7,'Lacet en cyan');

text(2550,-3.5e-7,'Roulis en jaune');


figure(gcf)

end