
% Programme de visualisation des vitesses absolues de Cardan, aprs les 2 simulations

load vitesse1.mat;
load vitesse2.mat;

v_angles_cardan=[vitesse_1,vitesse_2];

n=length(v_angles_cardan);

temps=v_angles_cardan(1,1:n);

v_roulis=v_angles_cardan(2,1:n);

v_lacet=v_angles_cardan(4,1:n);

v_tangage=v_angles_cardan(3,1:n);

plot(temps,v_tangage*180/pi,'m',temps,v_roulis*180/pi,'y',temps,v_lacet*180/pi,'c');

grid;

title('Vitesses absolues de Cardan ()');

XLABEL('temps');YLABEL('vitesse en degrs/seconde');

text(1550,0.125*180/pi,'Roulis en jaune');


text(2050,0.075*180/pi,'Tangage en magenta');


text(2550,0.025*180/pi,'Lacet en cyan');

figure(gcf)

end