function y=stopacqf(u);

global vitesse_rotation vit_ang_max_acqf angle_max_acqf

% En entre le vecteur u  6 composantes
		% De 1  3 les angles roulis tangage lacet
		% De 4  6 les vitesses angulaires des angles de Cardan

% Cette fonction retourne une sortie 1 ou 0

%	1 si les vitesses angulaires passent chacune sousle seuil acceptable pour le mode fin
%       "  et  " si les angles sont infrieurs au seuil
%	0 dans le cas contraire

% La valeur 1 arrtera la rgulation ( c'est le STOP )

% _______________________________  Calculs ecarts max sur vitesses ________________

v1=u(4);
v2=u(5);
v3=u(6);


X=[abs(v1) abs(v2) abs(v3)];

ecart_max_v=max(X);

% ____________________________________________________________________________________

% _______________________________  Calculs ecarts max sur angles ________________

a1=u(1);
a2=u(2);
a3=u(3);


Y=[abs(a1) abs(a2) abs(a3)];

ecart_max_a=max(Y);

% ____________________________________________________________________________________

if ecart_max_v<=vit_ang_max_acqf & ecart_max_a<=angle_max_acqf

    y=1;

else

    y=0;

end      % Fin du test

end      % Fin du programme