
% Programme de visualisation des vitesses absolues de Cardan, aprs les 2 simulations

load vitesse1.mat;
load vitesse2.mat;

v_angles_cardan=[vitesse_1,vitesse_2];

n=length(v_angles_cardan);

temps=v_angles_cardan(1,1:n);

v_roulis=v_angles_cardan(2,1:n);

v_lacet=v_angles_cardan(4,1:n);

v_tangage=v_angles_cardan(3,1:n);

plot(temps,v_tangage*180/pi,'m');

grid;

title('Vitesse absolue q de tangage (/s)');

XLABEL('temps');YLABEL('vitesse en degrs/seconde');

text(2050,0.05*180/pi,'Vitesse limite = 0.001 rd/s ou 0.057 /s')
text(2050,0.03*180/pi,' la vitesse orbitale')


figure(gcf)

end